/**
 * (experimental) BuildSpec for CodeBuild projects.
 *
 * @experimental
 */
export declare abstract class BuildSpec {
    /**
     * @experimental
     */
    static fromObject(value: {
        [key: string]: any;
    }): BuildSpec;
    /**
     * (experimental) Use a file from the source as buildspec.
     *
     * Use this if you want to use a file different from 'buildspec.yml'`
     *
     * @experimental
     */
    static fromSourceFilename(filename: string): BuildSpec;
    /**
     * (experimental) Whether the buildspec is directly available or deferred until build-time.
     *
     * @experimental
     */
    abstract readonly isImmediate: boolean;
    /**
     * @experimental
     */
    protected constructor();
    /**
     * (experimental) Render the represented BuildSpec.
     *
     * @experimental
     */
    abstract toBuildSpec(): string;
}
